# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

> No changelog before 1.2.0 release… ¯\_(ツ)_/¯

## [1.4.3] _(14/11/2020)_

### Fixed

- :bug: allow size to be a number

## [1.4.2] _(03/06/2020)_

### Fixed

- :wrench: remove sourcemaps on build

### Changed

- :arrow_up: upgrade dependencies

## [1.4.1] _(22/01/2020)_

### Fixed

- :bug: fix double <use> with server-side rendering

## [1.4.0] _(03/12/2019)_

### Added

- :sparkles: add SSR support

### Fixed

- :ok_hand: avoid <use> "refresh and reload" on update

## [1.3.1] _(03/12/2019)_

### Security

- :arrow_up: npm devDependencies

## [1.3.0] _(24/03/2019)_

### Added

- :sparkles: TypeScript support
- :ok_hand: Add `href` attribute (`xlink:href` deprecated)

## [1.2.2] _(03/02/2018)_

### Fixed

- :bug: :ok_hand: fix multiple instances

## [1.2.1] _(03/02/2018)_

### Fixed

- :ok_hand: fix update with binded symbol attribute

## [1.2.0] _(03/02/2018)_

### Added

- :white_check_mark: add tests
- :construction_worker: add Travis w/ coverage
- :memo: add changelog + contributor

### Fixed

- :sparkles: :ok_hand: render correctly on update ([pull request #5](https://github.com/thierrymichel/vue-svg-sprite/pull/5))
- :bug: fix expression use + size attribute

---

## Memo

### Guiding Principles

- Changelogs are for humans, not machines.
- There should be an entry for every single version.
- The same types of changes should be grouped.
- Versions and sections should be linkable.
- The latest version comes first.
- The release date of each versions is displayed.
- Mention whether you follow Semantic Versioning.

### Types of changes

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.
